aboutsummaryrefslogtreecommitdiffstats
path: root/vagrant/setup_compute.sh
diff options
context:
space:
mode:
authorGuo Ruijing <ruijing.guo@intel.com>2017-05-10 15:05:30 -0700
committerGuo Ruijing <ruijing.guo@intel.com>2017-05-13 00:32:18 +0800
commit5a14ee34314b6d500c63dc19523ee4748734c8c0 (patch)
tree4f82b4514f9ab5517372916372a1227d31b9f61e /vagrant/setup_compute.sh
parent62e3159bb6e3f90e2ad53b8da39a7ea34c819b4f (diff)
setup onap demo by vagrant
Change-Id: I7d46f7f6081e7aed0cc2ea2506a47925171f9be2 Co-Authored-By: Chen, Wei <wei.d.chen@intel.com> Signed-off-by: Guo Ruijing <ruijing.guo@intel.com>
Diffstat (limited to 'vagrant/setup_compute.sh')
-rw-r--r--vagrant/setup_compute.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/vagrant/setup_compute.sh b/vagrant/setup_compute.sh
new file mode 100644
index 00000000..0c3eba7b
--- /dev/null
+++ b/vagrant/setup_compute.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+set -ex
+
+cd devstack
+cp /vagrant/compute.conf local.conf
+host=$(hostname)
+ip=$(ifconfig | grep 192.168.0 | cut -f2 -d: | cut -f1 -d' ')
+sed -i -e "s/HOSTIP/$ip/" -e "s/HOSTNAME/$host/" local.conf
+./stack.sh
+
+sudo pvcreate /dev/sdb
+sudo vgextend vagrant-vg /dev/sdb
+sudo lvextend -L +800G /dev/mapper/vagrant--vg-root
+sudo resize2fs /dev/mapper/vagrant--vg-root
+
+sudo pvcreate /dev/sdc
+sudo vgextend stack-volumes-lvmdriver-1 /dev/sdc